For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dropbox Sign WebSDKsSign Up
DocumentationAPIChangelog
DocumentationAPIChangelog
  • API Quickstart
  • API Reference
    • Welcome
    • Authentication
    • Account
    • Signature Request
    • Template
    • Bulk Send Job
    • Report
    • Team
    • Unclaimed Draft
      • POSTCreate Unclaimed Draft
      • POSTCreate Embedded Unclaimed Draft
      • POSTCreate Embedded Unclaimed Draft with Template
      • POSTEdit and Resend Unclaimed Draft
    • Embedded
    • API App
    • Fax
    • Fax Line
  • Manual Reference Pages
    • Warnings and Errors
    • Constants
    • Search
    • Premium Branding
    • Expiration
LogoLogo
Dropbox Sign WebSDKsSign Up
API ReferenceUnclaimed Draft

Edit and Resend Unclaimed Draft

||View as Markdown|
POST
https://api.hellosign.com/v3/unclaimed_draft/edit_and_resend/:signature_request_id
POST
/v3/unclaimed_draft/edit_and_resend/:signature_request_id
$curl -X POST 'https://api.hellosign.com/v3/unclaimed_draft/edit_and_resend/{signature_request_id}' \
> -u 'YOUR_API_KEY:' \
> -F 'client_id=YOUR_CLIENT_ID' \
> -F 'test_mode=1'
1{
2 "unclaimed_draft": {
3 "signature_request_id": "8e55b3880c62497791dda0f3b4181cfd95f7ddb4",
4 "claim_url": "https://embedded.hellosign.com/prep-and-send/embedded-request?cached_params_token=30c4d8df776038c2fa5f7094c3718937",
5 "signing_redirect_url": null,
6 "requesting_redirect_url": null,
7 "expires_at": 1414093891,
8 "test_mode": true
9 }
10}
Creates a new signature request from an embedded request that can be edited prior to being sent to the recipients. Parameter `test_mode` can be edited prior to request. Signers can be edited in embedded editor. Requester's email address will remain unchanged if `requester_email_address` parameter is not set. **NOTE:** Embedded unclaimed drafts can only be accessed in embedded iFrames whereas normal drafts can be used and accessed on Dropbox Sign.
Was this page helpful?
Previous

Create Embedded Unclaimed Draft with Template

Next

Embedded

Built with

Creates a new signature request from an embedded request that can be edited prior to being sent to the recipients. Parameter test_mode can be edited prior to request. Signers can be edited in embedded editor. Requester’s email address will remain unchanged if requester_email_address parameter is not set.

NOTE: Embedded unclaimed drafts can only be accessed in embedded iFrames whereas normal drafts can be used and accessed on Dropbox Sign.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:)>.

OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

signature_request_idstringRequired
The ID of the signature request to edit and resend.

Request

This endpoint expects an object.
client_idstringRequired
Client id of the app used to create the draft. Used to apply the branding and callback url defined for the app.
editor_optionsobjectOptional
This allows the requester to specify editor options when a preparing a document
is_for_embedded_signingbooleanOptional

The request created from this draft will also be signable in embedded mode if set to true.

requester_email_addressstringOptionalformat: "email"
The email address of the user that should be designated as the requester of this draft. If not set, original requester's email address will be used.
requesting_redirect_urlstringOptional
The URL you want signers redirected to after they successfully request a signature.
show_progress_stepperbooleanOptionalDefaults to true

When only one step remains in the signature request process and this parameter is set to false then the progress stepper will be hidden.

signing_redirect_urlstringOptional
The URL you want signers redirected to after they successfully sign.
test_modebooleanOptionalDefaults to false

Whether this is a test, the signature request created from this draft will not be legally binding if set to true. Defaults to false.

Response headers

X-RateLimit-Limitinteger
The maximum number of requests per hour that you can make.
X-RateLimit-Remaininginteger
The number of requests remaining in the current rate limit window.
X-Ratelimit-Resetinteger
The Unix time at which the rate limit will reset to its maximum.

Response

successful operation
unclaimed_draftobject
A group of documents that a user can take ownership of via the claim URL.
warningslist of objects
A list of warnings.

Errors

4XX
Client Request Error